// Use of this file
// To add a new map follow this rules:
// 1. Find the file name, ending in .mis (ie BeggarsRun.mis)
// 2. Add a line with this syntact: addRotationMap(filename, gametype, %ffa, %cycle);
//
// %ffa = changing this to 0, will remove the map from the FFA mode
// %cycle = changing this to 0 will remove the map from the FFA cycle, but not from the rotation (optional)
//                                if %ffa is 0, %cycle is useless
//
// Note: filename must be written without .mis
//
// Example: addRotationMap(BeggarsRun, CTF, 1, 1);
//                                Beggar's Run will be in the FFA mapRotation. It's in the cycle and can be voted
//
// Example: addRotationMap(BeggarsRun, CTF, 1, 0);
//                                Beggar's Run will be in the FFA mapRotation. It's not in the cycle, but can be voted
//
// Example: addRotationMap(BeggarsRun, CTF, 0);
//                                Beggar's Run won't be in the FFA mapRotation. It's not in the cycle and can't be voted
//
// Info:
// If you don't want a map to be played neither in Tournement Mode, write // at the beginning of the line (or delete the line)
// If you don't want a gametype to be played, just don't add any map of that gametype
// Some Mods (ie LakRabbit) use own maps. To use this mods, you must add the maps in this file
// %cycle variable is optional and if not included the map will always be in the cycle (if %ffa is 1).


// ******************************
// * Capture The Flag Base Maps *
// ******************************

addRotationMap("Archipelago", CTF, 1, 1);
addRotationMap("BeggarsRun", CTF, 1, 1);
addRotationMap("Damnation", CTF, 1, 1);
addRotationMap("DeathBirdsFly", CTF, 1, 1);
addRotationMap("Desiccator", CTF, 1, 1);
addRotationMap("DustToDust", CTF, 1, 1);
addRotationMap("Firestorm", CTF, 1, 1);
addRotationMap("Katabatic", CTF, 1, 1);
addRotationMap("Minotaur", CTF, 1, 1);
addRotationMap("Quagmire", CTF, 1, 1);
addRotationMap("Recalescence", CTF, 1, 1);
addRotationMap("Reversion", CTF, 1, 1);
addRotationMap("RiverDance", CTF, 1, 1);
addRotationMap("Sanctuary", CTF, 1, 1);
addRotationMap("Slapdash", CTF, 1, 1);
addRotationMap("ThinIce", CTF, 1, 1);
addRotationMap("Tombstone", CTF, 1, 1);

// *********************************
// * Capture The Flag Classic Maps *
// *********************************

addRotationMap("AcidRain", CTF, 0, 0);
addRotationMap("Blastside_nef", CTF, 0, 0);
addRotationMap("Broadside_nef", CTF, 0, 0);
addRotationMap("Confusco", CTF, 0, 0);
addRotationMap("DangerousCrossing_nef", CTF, 0, 0);
addRotationMap("DesertofDeath_nef", CTF, 0, 0);
addRotationMap("Gorgon", CTF, 0, 0);
addRotationMap("Hillside", CTF, 0, 0);
addRotationMap("IceRidge_nef", CTF, 0, 0);
addRotationMap("Lakefront", CTF, 0, 0);
addRotationMap("Magmatic", CTF, 0, 0);
addRotationMap("Raindance_nef", CTF, 0, 0);
addRotationMap("Ramparts", CTF, 0, 0);
addRotationMap("Rollercoaster_nef", CTF, 0, 0);
addRotationMap("Sandstorm", CTF, 0, 0);
addRotationMap("Scarabrae_nef", CTF, 0, 0);
addRotationMap("ShockRidge", CTF, 0, 0);
addRotationMap("Snowblind_nef", CTF, 0, 0);
addRotationMap("Starfallen", CTF, 0, 0);
addRotationMap("Stonehenge_nef", CTF, 0, 0);
addRotationMap("Sub-zero", CTF, 0, 0);
addRotationMap("Surreal", CTF, 0, 0);
addRotationMap("Titan", CTF, 0, 0);
addRotationMap("WhiteDwarf", CTF, 0, 0);

// *****************************************
// * Capture The Flag (Practice) Base Maps *
// *****************************************

addRotationMap("Archipelago", PracticeCTF, 1, 1);
addRotationMap("BeggarsRun", PracticeCTF, 1, 1);
addRotationMap("Damnation", PracticeCTF, 1, 1);
addRotationMap("DeathBirdsFly", PracticeCTF, 1, 1);
addRotationMap("Desiccator", PracticeCTF, 1, 1);
addRotationMap("DustToDust", PracticeCTF, 1, 1);
addRotationMap("Firestorm", PracticeCTF, 1, 1);
addRotationMap("Katabatic", PracticeCTF, 1, 1);
addRotationMap("Minotaur", PracticeCTF, 1, 1);
addRotationMap("Quagmire", PracticeCTF, 1, 1);
addRotationMap("Recalescence", PracticeCTF, 1, 1);
addRotationMap("Reversion", PracticeCTF, 1, 1);
addRotationMap("RiverDance", PracticeCTF, 1, 1);
addRotationMap("Sanctuary", PracticeCTF, 1, 1);
addRotationMap("Slapdash", PracticeCTF, 1, 1);
addRotationMap("ThinIce", PracticeCTF, 1, 1);
addRotationMap("Tombstone", PracticeCTF, 1, 1);

// ******************************
// * Capture and Hold Base Maps *
// ******************************

addRotationMap("Abominable", CnH, 1, 1);
addRotationMap("AshesToAshes", CnH, 1, 1);
addRotationMap("Equinox", CnH, 1, 1);
addRotationMap("Firestorm", CnH, 1, 1);
addRotationMap("Flashpoint", CnH, 1, 1);
addRotationMap("Insalubria", CnH, 1, 1);
addRotationMap("JacobsLadder", CnH, 1, 1);
addRotationMap("Overreach", CnH, 1, 1);
addRotationMap("Sirocco", CnH, 1, 1);

// ******************************
// * Capture and Hold Classic Maps *
// ******************************

addRotationMap("Lakefront", CnH, 1, 1);
addRotationMap("Sandstorm", CnH, 1, 1);
addRotationMap("ShockRidge", CnH, 1, 1);

// *********************
// * Hunters Base Maps *
// *********************

addRotationMap("AgentsOfFortune", Hunters, 1, 1);
addRotationMap("Casern_Cavite", Hunters, 1, 1);
addRotationMap("DustToDust", Hunters, 1, 1);
addRotationMap("Escalade", Hunters, 1, 1);
addRotationMap("Fracas", Hunters, 1, 1);
addRotationMap("Gehenna", Hunters, 1, 1);
addRotationMap("MyrkWood", Hunters, 1, 1);
addRotationMap("Rasp", Hunters, 1, 1);
addRotationMap("Rimehold", Hunters, 1, 1);
addRotationMap("SunDried", Hunters, 1, 1);
addRotationMap("Talus", Hunters, 1, 1);
addRotationMap("Underhill", Hunters, 1, 1);

// ************************
// * Hunters Classic Maps *
// ************************

addRotationMap("Ramparts", Hunters, 1, 1);

// ***************************************
// * Team Hunters Dynamix Final Map Pack *
// ***************************************

addRotationMap("InnerSanctum", TeamHunters, 1, 1);

// **************************
// * Team Hunters Base Maps *
// **************************

addRotationMap("AgentsOfFortune", TeamHunters, 1, 1);
addRotationMap("DustToDust", TeamHunters, 1, 1);
addRotationMap("Escalade", TeamHunters, 1, 1);
addRotationMap("Gehenna", TeamHunters);
addRotationMap("Rimehold", TeamHunters, 1, 1);

// *****************************
// * Team Hunters Classic Maps *
// *****************************

addRotationMap("Ramparts", TeamHunters, 1, 1);

// ********************
// * Rabbit Base Maps *
// ********************

addRotationMap("Escalade", Rabbit, 1, 1);
addRotationMap("MyrkWood", Rabbit, 1, 1);
addRotationMap("SunDried", Rabbit, 1, 1);

// ************************
// * DeathMatch Base Maps *
// ************************

addRotationMap("AgentsOfFortune", DM, 1, 1);
addRotationMap("Casern_Cavite", DM, 1, 1);
addRotationMap("Equinox", DM, 1, 1);
addRotationMap("Escalade", DM, 1, 1);
addRotationMap("Fracas", DM, 1, 1);
addRotationMap("Invictus", DM, 1, 1);
addRotationMap("MyrkWood", DM, 1, 1);
addRotationMap("Oasis", DM, 1, 1);
addRotationMap("Pyroclasm", DM, 1, 1);
addRotationMap("Rasp", DM, 1, 1);
addRotationMap("SunDried", DM, 1, 1);
addRotationMap("Talus", DM, 1, 1);
addRotationMap("Underhill", DM, 1, 1);
addRotationMap("Whiteout", DM, 1, 1);

// ***************************
// * DeathMatch Classic Maps *
// ***************************

addRotationMap("Confusco", DM, 1, 1);
addRotationMap("Ramparts", DM, 1, 1);
addRotationMap("Surreal", DM, 1, 1);

// ********************
// * Bounty Base Maps *
// ********************

addRotationMap("Casern_Cavite", Bounty, 1, 1);
addRotationMap("Escalade", Bounty, 1, 1);
addRotationMap("Rasp", Bounty, 1, 1);
addRotationMap("RiverDance", Bounty, 1, 1);
addRotationMap("SunDried", Bounty, 1, 1);
addRotationMap("Talus", Bounty);
addRotationMap("Underhill", Bounty, 1, 1);
addRotationMap("Whiteout", Bounty, 1, 1);

// ***********************
// * Bounty Classic Maps *
// ***********************

addRotationMap("Confusco", Bounty, 1, 1);
addRotationMap("Gorgon", Bounty, 1, 1);
addRotationMap("Ramparts", Bounty, 1, 1);
addRotationMap("Surreal", Bounty, 1, 1);

// ***********************************
// * Defend and Destroy Classic Maps *
// ***********************************

addRotationMap("AcidRain", DnD, 1, 1);
addRotationMap("Blastside_nef", DnD, 1, 1);
addRotationMap("Broadside_nef", DnD, 1, 1);
addRotationMap("Hillside", DnD, 1, 1);
addRotationMap("Lakefront", DnD, 1, 1);
addRotationMap("Ramparts", DnD, 1, 1);
addRotationMap("Sandstorm", DnD, 1, 1);
addRotationMap("Scarabrae_nef", DnD, 1, 1);
addRotationMap("Starfallen", DnD, 1, 1);

// *******************
// * Siege Base Maps *
// *******************

addRotationMap("Alcatraz", Siege, 1, 1);
addRotationMap("Caldera", Siege, 1, 1);
addRotationMap("Gauntlet", Siege, 1, 1);
addRotationMap("IceBound", Siege, 1, 1);
addRotationMap("Masada", Siege, 1, 1);
addRotationMap("Respite", Siege, 1, 1);
addRotationMap("UltimaThule", Siege, 1, 1);
